org.apache.xmlbeans.impl.xb.xsdschema.impl

## Class NamedGroupImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xsdschema.impl.OpenAttrsImpl
      - - org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl
        - - org.apache.xmlbeans.impl.xb.xsdschema.impl.GroupImpl
          - - org.apache.xmlbeans.impl.xb.xsdschema.impl.RealGroupImpl
            - - org.apache.xmlbeans.impl.xb.xsdschema.impl.NamedGroupImpl

- All Implemented Interfaces:
    Serializable, TypeStoreUser, Annotated, Group, NamedGroup, OpenAttrs, RealGroup, SimpleValue, XmlObject, XmlTokenSource

      public class NamedGroupImpl
      extends RealGroupImpl
      implements NamedGroup

  An XML namedGroup(@http://www.w3.org/2001/XMLSchema). This is a complex type.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NamedGroupImpl.AllImpl` An XML all(@http://www.w3.org/2001/XMLSchema).

    - ### Nested classes/interfaces inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.NamedGroup

      `NamedGroup.All`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.NamedGroup

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamedGroupImpl(SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the "name" attribute
    `boolean` | `isSetName()` True if has "name" attribute
    `void` | `setName(String name)` Sets the "name" attribute
    `void` | `unsetName()` Unsets the "name" attribute
    `XmlNCName` | `xgetName()` Gets (as xml) the "name" attribute
    `void` | `xsetName(XmlNCName name)` Sets (as xml) the "name" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.xb.xsdschema.impl.RealGroupImpl

      `addNewAll, addNewChoice, addNewSequence, getAllArray, getAllArray, getAllList, getChoiceArray, getChoiceArray, getChoiceList, getSequenceArray, getSequenceArray, getSequenceList, insertNewAll, insertNewChoice, insertNewSequence, removeAll, removeChoice, removeSequence, setAllArray, setAllArray, setChoiceArray, setChoiceArray, setSequenceArray, setSequenceArray, sizeOfAllArray, sizeOfChoiceArray, sizeOfSequenceArray`

    - ### Methods inherited from class org.apache.xmlbeans.impl.xb.xsdschema.impl.GroupImpl

      `addNewAny, addNewElement, addNewGroup, getAnyArray, getAnyArray, getAnyList, getElementArray, getElementArray, getElementList, getGroupArray, getGroupArray, getGroupList, getMaxOccurs, getMinOccurs, getRef, insertNewAny, insertNewElement, insertNewGroup, isSetMaxOccurs, isSetMinOccurs, isSetRef, removeAny, removeElement, removeGroup, setAnyArray, setAnyArray, setElementArray, setElementArray, setGroupArray, setGroupArray, setMaxOccurs, setMinOccurs, setRef, sizeOfAnyArray, sizeOfElementArray, sizeOfGroupArray, unsetMaxOccurs, unsetMinOccurs, unsetRef, xgetMaxOccurs, xgetMinOccurs, xgetRef, xsetMaxOccurs, xsetMinOccurs, xsetRef`

    - ### Methods inherited from class org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.RealGroup

      `addNewAll, addNewChoice, addNewSequence, getAllArray, getAllArray, getAllList, getChoiceArray, getChoiceArray, getChoiceList, getSequenceArray, getSequenceArray, getSequenceList, insertNewAll, insertNewChoice, insertNewSequence, removeAll, removeChoice, removeSequence, setAllArray, setAllArray, setChoiceArray, setChoiceArray, setSequenceArray, setSequenceArray, sizeOfAllArray, sizeOfChoiceArray, sizeOfSequenceArray`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Group

      `addNewAny, addNewElement, addNewGroup, getAnyArray, getAnyArray, getAnyList, getElementArray, getElementArray, getElementList, getGroupArray, getGroupArray, getGroupList, getMaxOccurs, getMinOccurs, getRef, insertNewAny, insertNewElement, insertNewGroup, isSetMaxOccurs, isSetMinOccurs, isSetRef, removeAny, removeElement, removeGroup, setAnyArray, setAnyArray, setElementArray, setElementArray, setGroupArray, setGroupArray, setMaxOccurs, setMinOccurs, setRef, sizeOfAnyArray, sizeOfElementArray, sizeOfGroupArray, unsetMaxOccurs, unsetMinOccurs, unsetRef, xgetMaxOccurs, xgetMinOccurs, xgetRef, xsetMaxOccurs, xsetMinOccurs, xsetRef`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### NamedGroupImpl

          public NamedGroupImpl(SchemaType sType)

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the "name" attribute
      Specified by:
        `getName` in interface `Group`
      Specified by:
        `getName` in interface `NamedGroup`
      Overrides:
        `getName` in class `GroupImpl`

    - #### xgetName

          public XmlNCName xgetName()

      Gets (as xml) the "name" attribute
      Specified by:
        `xgetName` in interface `Group`
      Specified by:
        `xgetName` in interface `NamedGroup`
      Overrides:
        `xgetName` in class `GroupImpl`

    - #### isSetName

          public boolean isSetName()

      True if has "name" attribute
      Specified by:
        `isSetName` in interface `Group`
      Specified by:
        `isSetName` in interface `NamedGroup`
      Overrides:
        `isSetName` in class `GroupImpl`

    - #### setName

          public void setName(String name)

      Sets the "name" attribute
      Specified by:
        `setName` in interface `Group`
      Specified by:
        `setName` in interface `NamedGroup`
      Overrides:
        `setName` in class `GroupImpl`

    - #### xsetName

          public void xsetName(XmlNCName name)

      Sets (as xml) the "name" attribute
      Specified by:
        `xsetName` in interface `Group`
      Specified by:
        `xsetName` in interface `NamedGroup`
      Overrides:
        `xsetName` in class `GroupImpl`

    - #### unsetName

          public void unsetName()

      Unsets the "name" attribute
      Specified by:
        `unsetName` in interface `Group`
      Specified by:
        `unsetName` in interface `NamedGroup`
      Overrides:
        `unsetName` in class `GroupImpl`